import { useDidMount } from '../../../hooks'
import { useLocalStorage } from '../../../hooks/useLocalStorage'
import { MarkInputProps } from '../MarkStrategy'
import { MarkInputText } from '../Text/Input'

export const MarkInputFullName = (props: MarkInputProps) => {
  const [fullName, setFullName] = useLocalStorage('mark-fullname', '')
  useDidMount(() => {
    props.handler(fullName)
  })
  return MarkInputText({
    ...props,
    placeholder: 'Full Name',
    value: fullName,
    handler: (value) => {
      setFullName(value)
      props.handler(value)
    }
  })
}
