import { Jsonable } from '.'

export enum SendDMErrorType {
  'MISSING_RECIEVER' = 'Sending DM failed. Reciever is required.',
  'ENCRYPTION_FAILED' = 'Sending DM failed. An error occurred in encrypting dm message.',
  'RELAY_PUBLISH_FAILED' = 'Sending DM failed. Publishing events failed.'
}

export class SendDMError extends Error {
  public readonly context?: Jsonable

  constructor(
    message: string,
    options: { cause?: Error; context?: Jsonable } = {}
  ) {
    const { cause, context } = options

    super(message, { cause })
    this.name = this.constructor.name

    this.context = context
  }
}
